---
- Config:
    ClientID: 1111
    ClientSecret: 1111
    Requests:
      AuthorizationCode:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            redirect_uri: RedirectURL
            scope: Scope
            state: State
          Parameters:
            response_mode: query
            response_type: code
          URL: https://login.microsoftonline.com/consumers/oauth2/v2.0/authorize
        Response:
          ParametersMapping:
            code: AuthorizationCode
            state: State
      TokenByAuthorizationCode:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            client_secret: ClientSecret
            code: AuthorizationCode
            redirect_uri: RedirectURL
          Parameters:
            grant_type: authorization_code
          URL: https://login.microsoftonline.com/consumers/oauth2/v2.0/token
        Response:
          ParametersMapping:
            access_token: Token
            error: ErrorMessage
            error_codes: ErrorCode
            error_description: ErrorDescription
            expires_in: TokenExpirationDate
            refresh_token: RefreshToken
      TokenByRefreshToken:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            client_secret: ClientSecret
            refresh_token: RefreshToken
          Parameters:
            grant_type: refresh_token
          URL: https://login.microsoftonline.com/consumers/oauth2/v2.0/token
        Response:
          ParametersMapping:
            access_token: Token
            error: ErrorMessage
            error_codes: ErrorCode
            error_description: ErrorDescription
            expires_in: TokenExpirationDate
            refresh_token: RefreshToken
    Scope: https://outlook.office.com/IMAP.AccessAsUser.All https://outlook.office.com/POP.AccessAsUser.All https://outlook.office.com/SMTP.Send offline_access
    Notifications:
        NotifyOnExpiredToken: 1
        NotifyOnExpiredRefreshToken: 1
  Name: Microsoft Outlook (example@outlook.com)
- Config:
    ClientID: 2222.apps.googleusercontent.com
    ClientSecret: 2222
    Requests:
      AuthorizationCode:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            redirect_uri: RedirectURL
            scope: Scope
            state: State
          Parameters:
            access_type: offline
            response_type: code
          URL: https://accounts.google.com/o/oauth2/v2/auth
        Response:
          ParametersMapping:
            code: AuthorizationCode
            state: State
      TokenByAuthorizationCode:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            client_secret: ClientSecret
            code: AuthorizationCode
            redirect_uri: RedirectURL
          Parameters:
            grant_type: authorization_code
          URL: https://oauth2.googleapis.com/token
        Response:
          ParametersMapping:
            access_token: Token
            error: ErrorMessage
            error_description: ErrorDescription
            expires_in: TokenExpirationDate
            refresh_token: RefreshToken
      TokenByRefreshToken:
        Request:
          AutofilledParametersMapping:
            client_id: ClientID
            client_secret: ClientSecret
            refresh_token: RefreshToken
          Parameters:
            grant_type: refresh_token
          URL: https://oauth2.googleapis.com/token
        Response:
          ParametersMapping:
            access_token: Token
            error: ErrorMessage
            error_description: ErrorDescription
            expires_in: TokenExpirationDate
    Scope: https://mail.google.com/
    Notifications:
        NotifyOnExpiredToken: 1
        NotifyOnExpiredRefreshToken: 1
  Name: Google Mail (example@gmail.com)

